List all API keys for the authenticated user or for a specific organization
List all API keys for the authenticated user or for a specific organization
GET
https://example.com
/
api
/
auth
/
api-key
/
list
List all API keys for the authenticated user or for a specific organization
curl --request GET \
--url https://example.com/api/auth/api-key/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/auth/api-key/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/auth/api-key/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/auth/api-key/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"apiKeys": [
{
"createdAt": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"rateLimitEnabled": true,
"requestCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefillAt": "2023-11-07T05:31:56Z",
"lastRequest": "2023-11-07T05:31:56Z",
"metadata": {},
"name": "<string>",
"permissions": "<string>",
"prefix": "<string>",
"rateLimitMax": 123,
"rateLimitTimeWindow": 123,
"refillAmount": 123,
"refillInterval": 123,
"remaining": 123,
"start": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer token authentication
⌘I
List all API keys for the authenticated user or for a specific organization
curl --request GET \
--url https://example.com/api/auth/api-key/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/auth/api-key/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/auth/api-key/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/auth/api-key/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"apiKeys": [
{
"createdAt": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"rateLimitEnabled": true,
"requestCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefillAt": "2023-11-07T05:31:56Z",
"lastRequest": "2023-11-07T05:31:56Z",
"metadata": {},
"name": "<string>",
"permissions": "<string>",
"prefix": "<string>",
"rateLimitMax": 123,
"rateLimitTimeWindow": 123,
"refillAmount": 123,
"refillInterval": 123,
"remaining": 123,
"start": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}
